PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package repair
  Definition Classes
    serverobject
- AmenityAutoRepair
- Repairable
- RepairableAmenity
- RepairableEntity
- RepairableVehicle
- RepairableWeaponTurret

t

net.psforever.objects.serverobject.repair

# Repairable

###
Companion object Repairable

#### trait Repairable extends AnyRef

The base "control" `Actor` mixin for repair-handling code related to the nano dispenser tool loaded with an armor repair canister. Unlike the `Damageable` mixin, which should be extended to interact with all aspects of a target that impede access to its health points, shield, armor, etc., `Repairable` only affects `Vitality.Health`.

Source
  Repairable.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
SensorDeployableControl, ShieldGeneratorControl, TrapDeployableControl, TurretControl, GeneratorControl, RepairableAmenity, RepairableEntity, RepairableVehicle, RepairableWeaponTurret, ProximityTerminalControl, TerminalControl, ImplantTerminalMechControl, SpawnTubeControl, FacilityTurretControl, VehicleControl

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Repairable
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def CanBeRepairedByNanoDispenser(player: Player, item: Tool): Unit

   Implementation of the mixin hook will be provided by a child class.

   Implementation of the mixin hook will be provided by a child class. Override this method only when directly implementing.

   See also

     `canBeRepairedByNanoDispenser`

2.  abstract def RepairableObject: Target

   Contextual access to the object being the target of this damage.

   Contextual access to the object being the target of this damage. Needs declaration in lowest implementing code.

   returns

     the entity controlled by this actor

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def RepairValue(item: Tool): Int

   The amount of repair that any specific tool provides.

   The amount of repair that any specific tool provides.

   item

     the tool in question

   returns

     an amount to add to the repair attempt progress

   See also

     `Repairable.Quality`

5.  def Restoration(obj: Target): Unit

   The entity is no longer destroyed.

   The entity is no longer destroyed.

   obj

     the entity

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  final val canBeRepairedByNanoDispenser: Receive

   The official mixin hook; `orElse` onto the "control" `Actor` `receive`; catch the expected repair message and apply initial checks to the item

   The official mixin hook; `orElse` onto the "control" `Actor` `receive`; catch the expected repair message and apply initial checks to the item

   See also

     `Ammo`

     `CanBeRepairedByNanoDispenser`

     `CommonMessages.Use`

     `GlobalDefinitions`

     `Tool.AmmoType`

8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped